Package edu.wisc.game.rest

## Class NewEpisodeWrapper2

- java.lang.Object
- - edu.wisc.game.rest.ResponseBase
  - - edu.wisc.game.rest.NewEpisodeWrapper2

-     public class NewEpisodeWrapper2
      extends ResponseBase

  This is an object that's converted to a JSON structure and sent to the client as a response in /GameService2/newEpisode calls.

  FIXME: need to add periodic purge on episodes

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getAlreadyFinished()` | True if this player has finished all episodes he could play.
    `String` | `getCompletionCode()` | The completion code, a string that the player can report as a proof of his completion of the experiment plan.
    `Episode.Display` | `getDisplay()` | The structure with a lot of information about the current episode, and its place in the experiment's framework.
    `String` | `getEpisodeId()` | The episode ID of the resumed or newly created episode
    `ParaSet` | `getPara()` | The parameter set currently in effect.

    - ### Methods inherited from class edu.wisc.game.rest.ResponseBase

      `getErrmsg, getError, setErrmsg, setError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getEpisodeId

          public String getEpisodeId()

      The episode ID of the resumed or newly created episode

    - #### getPara

          public ParaSet getPara()

      The parameter set currently in effect. This comes from the currently active line of the trial list file associated with the player.

    - #### getAlreadyFinished

          public boolean getAlreadyFinished()

      True if this player has finished all episodes he could play. This means that the most recent episode has been completed, and no more new episodes can be created.

    - #### getCompletionCode

          public String getCompletionCode()

      The completion code, a string that the player can report as a proof of his completion of the experiment plan. It is set when the current series number is incremented beyond the last parameter set number.

    - #### getDisplay

          public Episode.Display getDisplay()

      The structure with a lot of information about the current episode, and its place in the experiment's framework. (See `EpisodeInfo.ExtendedDisplay` for the full structure that's actually found here)